Subject: [bug#60840] [PATCH 0/3] gnu: volctl: Update to 0.9.3.

From: Sergiu Ivanov <[email-masked]>
Date: Sat, 21 Jan 2023 23:20:31 +0100

Hi Maxim,

Thank you very much for the review!

And sorry for the delay: day job :D

Maxim Cournoyer <[email-masked]> [2023-01-16T17:56:51+0100]:
> Hi Sergiu,
>
> Sergiu Ivanov <[email-masked]> writes:
>
>>>>From e0c69ddefe7367e4b4417db70c86eacbfc6e3eae Mon Sep 17 00:00:00 2001
>> From: Sergiu Ivanov <[email-masked]>
>> Date: Sun, 4 Dec 2022 13:27:13 +0100
>> Subject: [PATCH 1/3] gnu: volctl: Make the synopsis line shorter.
>>
>> * gnu/packages/gtk.scm (volctl): Make the synopsis line shorter.
>
> I'd reword this as "Re-indent the synopsis line", or alternatively make
> it really shorter, perhaps dropping the last "for graphical
> applications" bit, which get repeated the description anyway.

I chose the second option and made the synopsis shorter as you suggest.

>>  gnu/packages/gtk.scm | 4 +++-
>>  1 file changed, 3 insertions(+), 1 deletion(-)
>>
>> diff --git a/gnu/packages/gtk.scm b/gnu/packages/gtk.scm
>> index de82b9e55f..c8ae855cfa 100644
>> --- a/gnu/packages/gtk.scm
>> +++ b/gnu/packages/gtk.scm
>> @@ -33,6 +33,7 @@
>>  ;;; Copyright © 2022 Benjamin Slade <[email-masked]>
>>  ;;; Copyright © 2022 Denis 'GNUtoo' Carikli <[email-masked]>
>>  ;;; Copyright © 2022 Petr Hodina <[email-masked]>
>> +;;; Copyright © 2022 Sergiu Ivanov <[email-masked]>
>
> When changes are not substantial (< 10 new additions/changes) they are
> not protected by copyright, so you can drop the above hunk.

Ah, good know!  I dropped the hunk.

-
Sergiu
>From 7603972f4514eeac5ebd1dde119d35e8ea2adc4d Mon Sep 17 00:00:00 2001
From: Sergiu Ivanov <[email-masked]>
Date: Mon, 16 Jan 2023 23:41:14 +0100
Subject: [PATCH 1/3] gnu: volctl: Make the synopsis line shorter.

* gnu/packages/gtk.scm (volctl): Make the synopsis line shorter.
---
 gnu/packages/gtk.scm | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/gnu/packages/gtk.scm b/gnu/packages/gtk.scm
index de82b9e55f..ea22d0e930 100644
--- a/gnu/packages/gtk.scm
+++ b/gnu/packages/gtk.scm
@@ -2978,7 +2978,7 @@ (define-public volctl
     (propagated-inputs
      (list python-click python-pycairo python-pygobject python-pyyaml))
     (home-page "https://buzz.github.io/volctl/")
-    (synopsis "Per-application volume control and on-screen display for graphical desktops")
+    (synopsis "Per-application volume control and on-screen display")
     (description "Volctl is a PulseAudio-enabled tray icon volume control and
 OSD applet for graphical desktops.  It's not meant to be an replacement for a
 full-featured mixer application.  If you're looking for that check out the
-- 
2.38.1